/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package proyecto;


import java.awt.Image;
import javax.swing.Icon;
import javax.swing.ImageIcon;

/**
 *
 * @author olive
 */
public class SEE extends javax.swing.JFrame {

    /**
     * Creates new form SEE
     */
    public SEE() {
        initComponents();
        this.setLocationRelativeTo(null);
        ImageIcon ruta = new ImageIcon("src/multimedia/empleados3.jpg");
        Icon  img = new ImageIcon(ruta.getImage().getScaledInstance(lbEmpleados.getWidth(), lbEmpleados.getHeight(), Image.SCALE_DEFAULT ));
        lbEmpleados.setIcon(img);
        
        // icono
        ruta = new ImageIcon("src/multimedia/deluxelogo.jpg");
        this.setIconImage(ruta.getImage());
        
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        lbEmpleados = new javax.swing.JLabel();
        jMenuBar1 = new javax.swing.JMenuBar();
        miRegistro = new javax.swing.JMenu();
        miPresupuesto = new javax.swing.JMenuItem();
        miPuntaje = new javax.swing.JMenuItem();
        miCerrar = new javax.swing.JMenu();
        jMenuItem3 = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Sistema Constructora Deluxe");
        setLocation(new java.awt.Point(427, 144));
        setResizable(false);
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());
        getContentPane().add(lbEmpleados, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, -10, 720, 400));

        jMenuBar1.setBackground(new java.awt.Color(255, 255, 255));
        jMenuBar1.setForeground(new java.awt.Color(0, 0, 0));
        jMenuBar1.setFont(new java.awt.Font("Comic Sans MS", 1, 14)); // NOI18N

        miRegistro.setText("Registro");

        miPresupuesto.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_R, java.awt.event.InputEvent.CTRL_MASK));
        miPresupuesto.setText("Presupuesto");
        miPresupuesto.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                miPresupuestoActionPerformed(evt);
            }
        });
        miRegistro.add(miPresupuesto);

        miPuntaje.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_P, java.awt.event.InputEvent.CTRL_MASK));
        miPuntaje.setText("Puntaje");
        miPuntaje.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                miPuntajeActionPerformed(evt);
            }
        });
        miRegistro.add(miPuntaje);

        jMenuBar1.add(miRegistro);

        miCerrar.setText("Salir");

        jMenuItem3.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_X, java.awt.event.InputEvent.CTRL_MASK));
        jMenuItem3.setText("Cerrar programa");
        jMenuItem3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem3ActionPerformed(evt);
            }
        });
        miCerrar.add(jMenuItem3);

        jMenuBar1.add(miCerrar);

        setJMenuBar(jMenuBar1);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jMenuItem3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem3ActionPerformed
        System.exit(0);
    }//GEN-LAST:event_jMenuItem3ActionPerformed

    private void miPresupuestoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_miPresupuestoActionPerformed
     Presupuesto Pre = new Presupuesto();
     Pre.setVisible(true);
     this.dispose();
    }//GEN-LAST:event_miPresupuestoActionPerformed

    private void miPuntajeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_miPuntajeActionPerformed
      
       Puntaje pun = new Puntaje();
       pun.setVisible(true);
        this.dispose();
        
    }//GEN-LAST:event_miPuntajeActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(SEE.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(SEE.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(SEE.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(SEE.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new SEE().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenuItem jMenuItem3;
    private javax.swing.JLabel lbEmpleados;
    private javax.swing.JMenu miCerrar;
    private javax.swing.JMenuItem miPresupuesto;
    private javax.swing.JMenuItem miPuntaje;
    private javax.swing.JMenu miRegistro;
    // End of variables declaration//GEN-END:variables
}
